Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.util
Class OptionsFactory

    java.lang.Object
      org.mpisws.p2p.transport.util.OptionsFactory

    public class OptionsFactory

extends java.lang.Object

Constructor Summary
`OptionsFactory()`

Method Summary
`static java.util.Map<java.lang.String,java.lang.Object>` | `addOption(java.util.Map<java.lang.String,java.lang.Object> existing, java.lang.String s, java.lang.Object i)`
`static java.util.Map<java.lang.String,java.lang.Object>` | `addOption(java.util.Map<java.lang.String,java.lang.Object> existing, java.lang.String s1, java.lang.Object i1, java.lang.String s2, java.lang.Object i2)`
`static java.util.Map<java.lang.String,java.lang.Object>` | `addOption(java.util.Map<java.lang.String,java.lang.Object> existing, java.lang.String s1, java.lang.Object i1, java.lang.String s2, java.lang.Object i2, java.lang.String s3, java.lang.Object i3)`
`static java.util.Map<java.lang.String,java.lang.Object>` | `copyOptions(java.util.Map<java.lang.String,java.lang.Object> existing)`
`static java.util.Map<java.lang.String,java.lang.Object>` | `merge(java.util.Map<java.lang.String,java.lang.Object> options, java.util.Map<java.lang.String,java.lang.Object> options2)` Merge 2 options, keeping the first if there is a conflict
`static java.util.Map<java.lang.String,java.lang.Object>` | `removeOption(java.util.Map<java.lang.String,java.lang.Object> options, java.lang.String option)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsFactory

    public OptionsFactory()

Method Detail

### addOption

    public static java.util.Map<java.lang.String,java.lang.Object> addOption(java.util.Map<java.lang.String,java.lang.Object> existing,
                                                                             java.lang.String s,
                                                                             java.lang.Object i)

### addOption

    public static java.util.Map<java.lang.String,java.lang.Object> addOption(java.util.Map<java.lang.String,java.lang.Object> existing,
                                                                             java.lang.String s1,
                                                                             java.lang.Object i1,
                                                                             java.lang.String s2,
                                                                             java.lang.Object i2)

### addOption

    public static java.util.Map<java.lang.String,java.lang.Object> addOption(java.util.Map<java.lang.String,java.lang.Object> existing,
                                                                             java.lang.String s1,
                                                                             java.lang.Object i1,
                                                                             java.lang.String s2,
                                                                             java.lang.Object i2,
                                                                             java.lang.String s3,
                                                                             java.lang.Object i3)

### copyOptions

    public static java.util.Map<java.lang.String,java.lang.Object> copyOptions(java.util.Map<java.lang.String,java.lang.Object> existing)

### merge

    public static java.util.Map<java.lang.String,java.lang.Object> merge(java.util.Map<java.lang.String,java.lang.Object> options,
                                                                         java.util.Map<java.lang.String,java.lang.Object> options2)

  Merge 2 options, keeping the first if there is a conflict

  Parameters:
    `options` -
    `options2` -
  Returns:

### removeOption

    public static java.util.Map<java.lang.String,java.lang.Object> removeOption(java.util.Map<java.lang.String,java.lang.Object> options,
                                                                                java.lang.String option)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.